diff -r 0e8a95ee3197 qt/ListBoxQt.cpp
--- a/qt/ListBoxQt.cpp	Thu Mar 04 12:34:35 2021 +0000
+++ b/qt/ListBoxQt.cpp	Thu May 06 11:39:22 2021 +0100
@@ -8,6 +8,8 @@
 
 #include <stdlib.h>
 
+#include <QApplication>
+
 #include "SciClasses.h"
 #include "Qsci/qsciscintilla.h"
 
@@ -64,10 +66,22 @@
 
     if (slb)
     {
-        QSize sh = slb->sizeHint();
+        int rows = slb->count();
+
+        if (rows == 0 || rows > visible_rows)
+            rows = visible_rows;
+
+        int row_height = slb->sizeHintForRow(0);
+        int height = (rows * row_height) + (2 * slb->frameWidth());
 
-        rc.right = sh.width();
-        rc.bottom = sh.height();
+        int width = slb->sizeHintForColumn(0) + (2 * slb->frameWidth());
+
+        if (slb->count() > rows)
+            width += QApplication::style()->pixelMetric(
+                    QStyle::PM_ScrollBarExtent);
+
+        rc.right = width;
+        rc.bottom = height;
     }
 
     return rc;
